Berkeley DB version 4.3.29

## com.sleepycat.db
Class LockStats

    java.lang.Object
      com.sleepycat.db.LockStats

public class LockStats
extends Object

Lock statistics for a database environment.

Method Summary
`int` `getCurMaxId()`
`int` `getId()` The last allocated locker ID.
`int` `getLockTimeout()` Lock timeout value.
`int` `getMaxLockers()` The maximum number of lockers possible.
`int` `getMaxLocks()` The maximum number of locks possible.
`int` `getMaxNlockers()` The maximum number of lockers at any one time.
`int` `getMaxNlocks()` The maximum number of locks at any one time.
`int` `getMaxNobjects()` The maximum number of lock objects at any one time.
`int` `getMaxObjects()` The maximum number of lock objects possible.
`int` `getNobjects()` The number of current lock objects.
`int` `getNumConflicts()` The total number of locks not immediately available due to conflicts.
`int` `getNumDeadlocks()` The number of deadlocks.
`int` `getNumLockers()` The number of current lockers.
`int` `getNumLocks()` The number of current locks.
`int` `getNumLockTimeouts()` The number of lock requests that have timed out.
`int` `getNumModes()` The number of lock modes.
`int` `getNumNowaits()` The total number of lock requests failing because DB_LOCK_NOWAIT was set.
`int` `getNumReleases()` The total number of locks released.
`int` `getNumRequests()` The total number of locks requested.
`int` `getNumTxnTimeouts()` The number of transactions that have timed out.
`int` `getRegionNowait()` The number of times that a thread of control was able to obtain the region lock without waiting.
`int` `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the region lock.
`int` `getRegSize()` The size of the lock region.
`int` `getTxnTimeout()` Transaction timeout value.
`String` `toString()` For convenience, the LockStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public int getId()

  The last allocated locker ID.

### getCurMaxId

    public int getCurMaxId()

### getMaxLocks

    public int getMaxLocks()

  The maximum number of locks possible.

### getMaxLockers

    public int getMaxLockers()

  The maximum number of lockers possible.

### getMaxObjects

    public int getMaxObjects()

  The maximum number of lock objects possible.

### getNumModes

    public int getNumModes()

  The number of lock modes.

### getNumLocks

    public int getNumLocks()

  The number of current locks.

### getMaxNlocks

    public int getMaxNlocks()

  The maximum number of locks at any one time.

### getNumLockers

    public int getNumLockers()

  The number of current lockers.

### getMaxNlockers

    public int getMaxNlockers()

  The maximum number of lockers at any one time.

### getNobjects

    public int getNobjects()

  The number of current lock objects.

### getMaxNobjects

    public int getMaxNobjects()

  The maximum number of lock objects at any one time.

### getNumConflicts

    public int getNumConflicts()

  The total number of locks not immediately available due to conflicts.

### getNumRequests

    public int getNumRequests()

  The total number of locks requested.

### getNumReleases

    public int getNumReleases()

  The total number of locks released.

### getNumNowaits

    public int getNumNowaits()

  The total number of lock requests failing because DB_LOCK_NOWAIT was set.

### getNumDeadlocks

    public int getNumDeadlocks()

  The number of deadlocks.

### getLockTimeout

    public int getLockTimeout()

  Lock timeout value.

### getNumLockTimeouts

    public int getNumLockTimeouts()

  The number of lock requests that have timed out.

### getTxnTimeout

    public int getTxnTimeout()

  Transaction timeout value.

### getNumTxnTimeouts

    public int getNumTxnTimeouts()

  The number of transactions that have timed out. This value is also a component of st_ndeadlocks, the total number of deadlocks detected.

### getRegionWait

    public int getRegionWait()

  The number of times that a thread of control was forced to wait before obtaining the region lock.

### getRegionNowait

    public int getRegionNowait()

  The number of times that a thread of control was able to obtain the region lock without waiting.

### getRegSize

    public int getRegSize()

  The size of the lock region.

### toString

    public String toString()

  For convenience, the LockStats class has a toString method that lists all the data fields.

Berkeley DB version 4.3.29

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.